| NORSYS SOFTWARE © 2007 | NETICA API | JAVA VERSION 3.25

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## norsys.netica
Class NeticaException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--norsys.netica.NeticaException

All Implemented Interfaces:
  java.io.Serializable

public class NeticaException
extends java.lang.Exception

A java.lang.Exception that holds extra information when Netica reports an error for some attempted operation.

Since:
  2.08
Version:
  3.25 - June 15, 2007
See Also:
  Serialized Form

Constructor Summary
`NeticaException(int errorNumber, java.lang.String msg)` Constructs a numbered NeticaException with the given error message.
`NeticaException(java.lang.String msg)` Constructs a generic NeticaException with the given error message.

Method Summary
`java.lang.String` | `getMessage()` Returns a formatted String detailing the nature of this exception and listing the NeticaErrors which are responsible for it.
`java.util.Vector` | `getNeticaErrors()` Returns a collection of the `NeticaError` objects describing the faults that are responsible for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

public NeticaException ( |
String | msg
| ) throws NeticaException

  Constructs a generic NeticaException with the given error message.
  Parameters:

  String |  | msg |  | A string describing the exception.

  Example:

        NeticaException ne = new NeticaException( "A problem occurred that cannot be handled at this level." );
        throw ne;

public NeticaException ( |
int | errorNumber,
String | msg
| ) throws NeticaException

  Constructs a numbered NeticaException with the given error message.

  errorNumber must be between 1 and 999, inclusive. Numbers outside of this range are reserved by Netica, and, if used here, will cause an exception to be thrown.
  Parameters:

  int |  | errorNumber |  | A Netica Error code associated with this exception. Must be between 1 and 999, inclusive.
  String |  | msg |  | A string describing the exception.

Method Detail

public String getMessage ( )

  Returns a formatted String detailing the nature of this exception and listing the NeticaErrors which are responsible for it.
  Version:
  Versions 2.26 and later have this method.
  Overrides:
    `getMessage` in class `java.lang.Throwable`

public Vector getNeticaErrors ( )

  Returns a collection of the `NeticaError` objects describing the faults that are responsible for this exception.
  Version:
  This method is available in all versions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD